org.opencv.img_hash

## Class ImgHashBase

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.img_hash.ImgHashBase

- Direct Known Subclasses:
    AverageHash, BlockMeanHash, ColorMomentHash, MarrHildrethHash, PHash, RadialVarianceHash

      public class ImgHashBase
      extends Algorithm

  The base class for image hash algorithms

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ImgHashBase(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ImgHashBase` | `__fromPtr__(long addr)`
    `double` | `compare(Mat hashOne, Mat hashTwo)` Compare the hash value between inOne and inTwo
    `void` | `compute(Mat inputArr, Mat outputArr)` Computes hash of the input image
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImgHashBase

          protected ImgHashBase(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static ImgHashBase __fromPtr__(long addr)

    - #### compare

          public double compare(Mat hashOne,
                                Mat hashTwo)

      Compare the hash value between inOne and inTwo
      Parameters:
        `hashOne` - Hash value one
        `hashTwo` - Hash value two
      Returns:
        value indicate similarity between inOne and inTwo, the meaning of the value vary from algorithms to algorithms

    - #### compute

          public void compute(Mat inputArr,
                              Mat outputArr)

      Computes hash of the input image
      Parameters:
        `inputArr` - input image want to compute hash value
        `outputArr` - hash of the image

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8